/* gs-domains-hash.h */

#ifndef _h_domains_hash
#define _h_domains_hash

#include "getstats.h"

#define HASHSIZE       27449
/* was 16699 */

struct IPtable {
	char *ipaddr;
	char *domain;
	struct IPtable *next;
};

						/* functions */
void addip(char *ipaddress,
	   char *domain);
char *find_domain(char *ipaddress);
char *dump_hash_table(char *hasfilnam);
char *load_hash_table(char *hasfilnam);
void truncate_ip(char *s1, char *s2);
unsigned int hash(char *s);

#endif
